Bug 428034 - prevents suspend
prevents suspend
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-01-08 15:25 EST by Bill Nottingham
Modified: 2014-03-16 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.11.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-05 00:46:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-01-08 15:25:55 EST
Description of problem:

Any attempt to suspend fails with:

"Music Player has stopped the suspend from taking place: Playing"

I suppose someone may want this behavior, but there has to be a way
to disable this, right? There's nothing obvious in either the g-p-m
or rhythmbox prefs.

Version-Release number of selected component (if applicable):

Comment 1 Bastien Nocera 2008-01-09 07:40:39 EST
Peter had the same complaint, see:

I've disabled the power-manager as being builtin, and disabled it by default in
F-8 and rawhide.
Comment 2 Bill Nottingham 2008-02-04 15:20:56 EST
Is back in: rhythmbox-0.11.4-5.fc9.x86_64
Comment 3 Bastien Nocera 2008-02-04 16:05:07 EST
We disable it by default in patch rb-disable-power-plugin-by-default.patch

Check whether /apps/rhythmbox/plugins/power-manager/active and
/apps/rhythmbox/plugins/power-manager/hidden are both disabled.
Comment 4 Bill Nottingham 2008-02-04 16:17:57 EST
$ gconftool-2 -R /apps/rhythmbox/plugins/power-manager
 active = true
 hidden = false

I never explicitly enabled it, though.
Comment 5 Bastien Nocera 2008-02-04 17:39:58 EST
Could you try:
gconftool-2 --recursive-unset /apps/rhythmbox/plugins/power-manager
and see whether it disables it?

It might be gconf being dumb, and seeing the default as being modified even
though it's the same as the default, thus not applying the default value when it
Comment 6 Bill Nottingham 2008-02-05 00:46:34 EST
After recursive unset:

$ gconftool-2 -R /apps/rhythmbox/plugins/power-manager
 active = false
 hidden = false

No, that seems to do the right thing. *shrug* Will chalk it up to random noise
for now.

Note You need to log in before you can comment on or make changes to this bug.